Package org.eclipse.update.configurator

## Class ConfiguratorUtils

- java.lang.Object
- - org.eclipse.update.configurator.ConfiguratorUtils

    @Deprecated
    public class ConfiguratorUtils
    extends Object

Deprecated.
The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.
Helper class to get platform configuration data without having to use BootLoader methods from the compatibility layer.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

### Constructor Summary

Constructors
`ConfiguratorUtils()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static IPlatformConfiguration` `getCurrentPlatformConfiguration()` Deprecated. Returns the current platform configuration.
`static URL` `getInstallURL()` Deprecated.
`static IPlatformConfiguration` `getPlatformConfiguration​(URL url)` Deprecated. Returns a platform configuration object, optionally initialized with previously saved configuration information.
`static IPlatformConfiguration` `getPlatformConfiguration​(URL url, URL loc)` Deprecated. Returns a platform configuration object, optionally initialized with previously saved configuration information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfiguratorUtils

    public ConfiguratorUtils()

Deprecated.

### Method Detail

#### getCurrentPlatformConfiguration

    public static IPlatformConfiguration getCurrentPlatformConfiguration()

Deprecated.
Returns the current platform configuration. This method replaces the one we used to call on BootLoader.

Returns:
  platform configuration used in current instance of platform
Since:
  3.0

#### getPlatformConfiguration

    public static IPlatformConfiguration getPlatformConfiguration​(URL url)
                                                           throws IOException

Deprecated.
Returns a platform configuration object, optionally initialized with previously saved configuration information. We will use this method instead of the old one in BootLoader.

Parameters:
  `url` - location of previously save configuration information. If `null` is specified, an empty configuration object is returned
Returns:
  platform configuration used in current instance of platform
Throws:
  `IOException`

#### getPlatformConfiguration

    public static IPlatformConfiguration getPlatformConfiguration​(URL url,
                                                                  URL loc)
                                                           throws IOException

Deprecated.
Returns a platform configuration object, optionally initialized with previously saved configuration information. We will use this method instead of the old one in BootLoader.

Parameters:
  `url` - location of previously save configuration information. If `null` is specified, an empty configuration object is returned
  `loc` - location of the platform installation. Used to resolve entries in the save location
Returns:
  platform configuration used in current instance of platform
Throws:
  `IOException`

#### getInstallURL

    public static URL getInstallURL()

Deprecated.

Returns:
  the URL of this eclispe installation